# CD
alias cd..='cd ..'
alias ..='cd ..'
alias ...='cd ../..'
alias ~='cd ~'

# RM
alias rm='rm -r'
alias rmf='rm -rf'
alias srm='sudo rm -rf'
#alias rr='rm -r'
#alias srr='sudo rm -rf'

# CP
alias cp='cp -r'
alias cpp='rsync -PrlpE'
alias cpz='rsync -PrlpEz'

# LS
alias l='ls -Xp --color=auto'
alias ls='ls -Xp --color=auto'
alias ll='ls++'

# MKDIR
alias mk='mkdir -p'
alias mkdir='mkdir -p'

#DIRS
alias dirs='dirs -v'
alias d='dirs -v'
alias rg='ranger .'

# editing config files
alias ale='$EDITOR $XDG_CONFIG_HOME/zsh/02-aliases.zsh'
alias envars='$EDITOR $XDG_CONFIG_HOME/zsh/01-envars.zsh'
alias funcs='$EDITOR $XDG_CONFIG_HOME/zsh/04-functions.zsh'
alias i3edit='$EDITOR $XDG_CONFIG_HOME/i3/config'
alias termconf='$EDITOR $XDG_CONFIG_HOME/termite/config'
alias sx='$EDITOR $XDG_CONFIG_HOME/sxhkd/sxhkdrc'
alias bwr='$EDITOR $XDG_CONFIG_HOME/bspwm/bspwmrc'
alias pc='$EDITOR $XDG_CONFIG_HOME/polybar/config'
alias tmuxconf='$EDITOR ~/.tmux.conf'
alias vimrc='$EDITOR ~/.vimrc'
alias bashrc='$EDITOR ~/.bashrc'
alias zshrc='$EDITOR ~/.zshrc'

# miniscripts!
alias re='source $XDG_CONFIG_HOME//zsh/02-aliases.zsh; source $XDG_CONFIG_HOME/zsh/04-functions.zsh'
alias cls='clear'
alias h='history'
alias mplayer='mplayer -msgcolor'
alias utorrent='utserver -configfile ~/.config/utorrent/utserver.conf'
alias wget='wget -c'
alias aria='aria2c -c -x 10 -s 10 -k 10M'
alias burniso='cdrecord -eject dev=1,0,0 -data'
#alias sxiv='sxiv -dr'
alias osstest='osstest -g 5'
alias pychrom='pychrom -c /usr/share/X11/rgb.txt'
alias rtorrent="rtorrent -n -o import=${XDG_CONFIG_HOME}/rtorrent/config.rc"
alias sc='scrot ~/scrot/%b%d::%H%M%S.png'
alias macaddr="ip link show dev eno1 | sed -nre 's@.*link\/ether (\S+).*@\1@p'"
alias ydl='youtube-dl -f "bestvideo[ext=mp4]+bestaudio[ext=m4a]" --merge-output-format mp4 --add-metadata --embed-thumbnail'
alias music='tmux new-session "tmux source-file ~/.ncmpcpp/tmux_session"' # Tmux session with ncmpcpp and cover art
alias pm='palemoon'

# Mounting
alias musb='sudo mount /dev/sdb'
alias uusb='sudo umount /mnt/usb'

# Apache
alias apache='sudo apache2ctl'

# Tmux
alias irc='tmux -2 a -t irc'
alias imap='tmux -2 a -t imap'
alias torrent='tmux -2 a -t torrent'
alias t='tmux -2 a -t tmux'

# Downloading
alias gi='get_iplayer'
alias a2c='aria2c -j 12 -s 12 -x 12 -k 5M $1'
alias wg='wget -np -c -S --no-check-certificate -e robots=off -R "index.html*" "$*"'
alias wgr='wget -r -np -c -S --no-check-certificate -e robots=off -R "index.html*" "$*"'
alias ydl='youtube-dl -f "bestvideo[ext=mp4]+bestaudio[ext=m4a]/bestvideo+besataudio" --external-downloader aria2c --verbose --external-downloader-args "-j 12 -s 12 -x 12 -k 5M" --embed-thumbnail --add-metadata --merge-output-format mp4 $1'

# Ping
alias pr='ping -c 1 192.168.1.1 | tail -3'
alias pg='ping -c 1 google.com | tail -3'

# Git
alias g='git'
alias ga='git add'
alias gad='git ls-files --deleted | xargs git add'
alias gst='git status'
alias gl='git pull'
alias gup='git fetch && git rebase'
alias gp='git push'
alias gd='git diff | mate'
alias gdv='git diff -w "$@" | vim -R -'
alias gc='git commit -m'
alias gca='git commit -v -a'
alias gb='git branch'
alias gba='git branch -a'
alias gcount='git shortlog -sn'
alias gcp='git cherry-pick'

# package management
alias smi='sudo make install'
alias rmorphans='sudo pacman -Rs $(pacman -Qtdq)'
alias paci='sudo pacman -S'
alias pacr='sudo pacman -Rsn'
alias pacu='sudo pacman -U'
alias pacqo='pacman -Qo'
alias paccache='sudo ncdu -x /var/cache/pacman/pkg && ranger /var/cache/pacman/aur'
alias tzs='trizen -Ss $1 --flip_results=1 --flip_indices=1'
#alias tza='trizen -a --movepkg --movepkg-dir='$HOME/pkg' -S $1'

#alias tu='yaourt -Syyu --aur'
#alias ys='yaourt -S'
#alias yy='yaourt --noconfirm'
#alias yys='yaourt --noconfirm -S'

# Ruby
alias gem='sudo gem'

# AppImages
alias lo='/media/Storage_3/Arch\ Linux/bin/LibreOffice-5.*.AppImage'
alias lb='/media/Storage_3/Arch\ Linux/bin/te?t.sh'

# Latex
alias tt='tectonic'

# Handbrake (What the fuck is wrong with you guys?)
alias handbrake='ghb'
alias handbrakecli='HandBrakeCLI'

# Fun with sed
alias df='df -h | grep sd |\
	sed -e "s_/dev/sda[1-9]_\x1b[34m&\x1b[0m_" |\
	sed -e "s_/dev/sd[b-z][1-9]_\x1b[33m&\x1b[0m_" |\
	sed -e "s_[,0-9]*[MG]_\x1b[36m&\x1b[0m_" |\
	sed -e "s_[0-9]*%_\x1b[32m&\x1b[0m_" |\
	sed -e "s_9[0-9]%_\x1b[31m&\x1b[0m_" |\
	sed -e "s_/mnt/[-_A-Za-z0-9]*_\x1b[34;1m&\x1b[0m_"'

alias duch='du -ch | grep insgesamt |\
	sed -e "s_[0-9]*,[0-9]*[B|G|K|M|T]_\x1b[32m&\x1b[0m_"'
