#!/bin/sh
alias installpkg='sudo pacman -S --noconfirm'
# Absolute essentials
installpkg\
    vi\
    man\
    git \
    dash\
    ntfs-3g\
    bash-completion\
    pacman-contrib\
    expac

# Utilities
installpkg\
    htop\
    ncdu\
    fasd\
    fd\
    fzf\
    ripgrep

# Archiving/Compression
installpkg\
    zip\
    unzip\
    unrar\
    p7zip\
    atool

# Trizen
[ ! -d ~/pkg ] && ( mkdir ~/pkg || exit )
cd ~/pkg
git clone "https://aur.archlinux.org/trizen.git" && cd trizen || exit
makepkg -fsi && cd "$HOME" || exit

# zsh Shell
    #installpkg\
    #    zsh\
    #    ruby\
    #    zsh-syntax-coloring

sudo sed -i.bak 's/#IgnorePkg/IgnorePkg/; /IgnorePkg/ s/$/   nicotine+ engrampa exo zathura pango xournal free42 gparted #libxfce4ui-devel girara girara-gtk2 xfce4-panel libxfce4util xfce-dev-tools/'  /etc/pacman.conf

wget "https://raw.githubusercontent.com/Zorgodon/dotfiles/master/bin/setup/git-setup.sh"
echo "now you can run git-setup.sh"
