#!/bin/dash
alias installpkg='sudo pacman -S --noconfirm'
alias aurpkg='trizen -S --noconfirm'
#Xorg Server
installpkg \
    xorg-server\
    xorg-xinit\
    xorg-xset\
    xorg-xsetroot\
    xorg-xrandr\
    xorg-xinput\
    xorg-xbacklight\
    xdo\
    xdotool\
    xsel\
    xorg-xkill\
    xdg-user-dirs\
    xterm
#
## Hardware Setup
#########################
#########################
#########################
#
## Utilities
installpkg \
    numlockx\
    xbindkeys\
    stalonetray\
    sxhkd
#
aurpkg \

# Theme 
installpkg \
    lxappearance

mkdir ~/.config/gtk-2.0
touch ~/.config/gtk-2.0/gtkrc
mkdir -p ~/.local/share/gnupg

## Programs
aurpkg \
    pcmanfm\
    redshift-minimal\
    vidir\
    vimpager\
    gnome2-icon-theme-extras\
    qt5-styleplugins

pacman -Q gvim-gtk2 >/dev/null || aurpkg gvim-gtk2

    mkdir "$XDG_DATA_HOME"/vim
    mkdir "$XDG_DATA_HOME"/vim/undo
    mkdir "$XDG_DATA_HOME"/vim/swap
    mkdir "$XDG_DATA_HOME"/vim/backup
    touch "$XDG_DATA_HOME"/mpd/database
    touch "$XDG_DATA_HOME"/mpd/pid
    touch "$XDG_DATA_HOME"/mpd/state
    touch "$XDG_DATA_HOME"/mpd/log

sudo pacman -U ~/pkg/gcr-nogtk/gcr-nogtk-*.pkg.*
sudo pacman -U ~/pkg/pango-1.43/pango-1_1.43.0-*.pkg.tar.xz

installpkg \
    gvfs-smb

installpkg gtk-engines
sudo pacman -U ~/pkg/gtk2-engines/gtk-engine-murrine*.pkg.* \
     ~/pkg/gtk2-engines/gtk-engine-rezlooks*.pkg.* \
     ~/pkg/gtk2-engines/gtk-bluecurve-engine*.pkg*

# Graphics
installpkg \
    feh\
    sxiv\
    nitrogen\
    maim

# Music and Video
installpkg \
        alsa-utils\
        mpv\
        deadbeef\
        flac\
        libmad\
        mpg123\
        faad2\
        youtube-dl\
        atomicparsley

# Window Manager
installpkg \
    fvwm\
    openbox\
    gmrun \
    dzen2\
    #bspwm\
    #pekwm\
    #fluxbox

aurpkg \
    obmenu-generator\
    bmpanel2\
    pm-utils\
    xscreensaver

sudo pacman -U \
    ~/pkg/cbatticon-gtk2/cbatticon-gtk2-*.pkg.* \
    ~/pkg/gsimplecal/gsimplecal-*.pkg.*

# Web Browser
wget "https://keyserver.ubuntu.com/pks/lookup?op=get&search=0x865E6C87C65285EC" -O palemoon.asc
gpg --import palemoon.asc
    aurpkg \
         palemoon-bin
rm palemoon.asc
