#!/bin/bash
set -e
sudo pacman -Syyu
echo -e "\n\nInstalling zsh + network tools\n\n"
sudo pacman -S\
    zsh dash bash-completion ruby vi zsh-syntax-highlighting pacman-contrib pacutils expac htop man ncdu intel-ucode\
    dhcpcd connman net-tools wireless_tools wpa_supplicant dialog wget git openvpn openssh\
    tmux mpd mpc ncmpcpp mpv ffmpeg alsa-utils alsa-tools\
    zip unzip unrar p7zip atool\
    xorg-server xorg-xinit xorg-xset xorg-xsetroot xorg-xlsfonts xorg-xrandr xorg-mkfontdir xorg-xfontsel xdo xdotool  xsel xorg-xbacklight xorg-xkill xdg-user-dirs\
    inotify-tools dunst libnotify dzen2 udisks2 usbutils udevil\
	vsftpd samba nfs-utils picocom lftp\
    nitrogen feh sxiv\
    bspwm sxhkd xbindkeys lxappearance\
    numlockx maim vimpager\
    android-tools android-udev\
    youtube-dl aria2 atomicparsley\
    cups lm_sensors ntfs-3g gnupg pinentry cdemu-client discount\
    python3 python-pip

cd ~/pkg/engrampa-1.14
sudo pacman -U 
cd ~/pkg/pango-1.43
sudo pacman -U pango-1_1.43.0-*.pkg.tar.xz
cd ~/pkg 
sudo pacman -U evince2-light-*.pkg.tar.xz
cd ~
#########################
trizen -S --noconfirm i3lock-fancy-git ranger-git compton-tryone-git gksu zenity-gtk2 vidir python-weasyprint unflac


trizen -S --noconfirm  samsung-unified-driver sane


sudo ln -sf /usr/bin/pinentry-tty /usr/bin/pinentry

##########################

echo -e "\n\nConfiguring Xorg\n\n"
cd /

if [ -f $(command -v nvidia-xconfig) ]
then

sudo nvidia-xconfig
sudo nvidia-xconfig
sudo nvidia-xconfig

sed -e '/SubSection     "Display"/i \    \Option         "TripleBuffer" "on"\n\    \Option         "NoLogo" "on"'  -e '/Identifier     "Mouse0"/ a\    Identifier    "Mouse" #[archwiki_razercfg]'   -e '/Identifier     "Mouse0"/ s/^#*/#/' -e '/Option         "Protocol" "auto"/ s/^#*/#/' -e '/Option         "Device" "\/dev\/psaux"/ s/^#*/#/' -e '/Option         "Emulate3Buttons" "no"/ s/^#*/#/' -e '/Option         "ZAxisMapping" "4 5"/ s/^#*/#/' -e '/Driver         "mouse"/a \    \Option \        \"Device" "/dev/input/mice"' -e '/InputDevice    "Keyboard0" "CoreKeyboard"/ a\    InputDevice    "Mouse"' -e '/InputDevice    "Mouse0" "CorePointer"/ s/^#*/#/' < /etc/X11/xorg.conf > /tmp/xorg.tmp 
sudo mv /tmp/xorg.tmp /etc/X11/xorg.conf
sudo chown root:root /etc/X11/xorg.conf
fi

echo "\n\nConfiguring Sammy Scanner"
sed '/usb 0x04e8 0x344f/a tcp 192.168.0.211\n' < /etc/sane.d/xerox_mfp.conf | sudo tee -a /etc/sane.d/xerox_mfp.conf

#xdg-user-dirs-update
sudo systemctl enable org.cups.cupsd.service
sudo systemctl start org.cups.cupsd.service
sudo systemctl enable sshd.socket
sudo systemctl start sshd.socket
sudo ln -s /etc/fonts/conf.avail/70-yes-bitmaps.conf /etc/fonts/conf.d/

