#!/bin/bash

export DISPLAY=:0
export XAUTHORITY=/home/ivan/.Xauthority
xrandr --newmode "2560x1440_50.00"  256.09  2560 2728 3008 3456  1440 1441 1444 1482  -HSync +Vsync 2>/dev/null

xrandr --addmode HDMI1 2560x1440_50.00 2>/dev/null

function connect(){
    xrandr --output HDMI1 --mode 2560x1440_50.00 --preferred --primary --output eDP1 --preferred 
}
  
function disconnect(){
      xrandr --output HDMI1 --off
}
   
xrandr | grep "HDMI1 connected" &> /dev/null && connect || disconnect
# in case xrandr is slow
while [ "$(cat /sys/class/drm/card0-HDMI-A-1/status)" = "connected" ] && ! xrandr | grep "HDMI1 connected" &> /dev/null ; do
    sleep 1
    connect
done
# in case xrandr is slow again
while [ "$(cat /sys/class/drm/card0-HDMI-A-1/status)" = "disconnected" ] &&  xrandr | grep "HDMI1 connected" &> /dev/null ; do
    sleep 1
    disconnect
     nitrogen --restore
done
# in case the monitor enters sleep mode
while [ "$(cat /sys/class/drm/card0-HDMI-A-1/status)" = "connected" ] && ! xrandr | grep "HDMI1 connected \(primary\)\? [0-9].*x[1-9].*" >/dev/null ; do
    sleep 1
    disconnect
    connect
done

sleep 4
nitrogen --restore
