#!/bin/sh
set -e

if [ -z $1 ] 
then
    echo "usage: getcsv.sh username"
    exit
fi

if [ ! -f $(command -v in2csv) ]
then
    echo "install csvkit to use this script"
    exit
fi

curl https://darekkay.com/service/trakt/trakt.php?username=$1 --output trakt_bkp.zip

unzip trakt_bkp.zip

for f in *.txt; do
    mv $f $(basename $f | cut -d. -f1).json
done

for f in *.json; do
    in2csv $f > $(basename $f | cut -d. -f1).csv
done


if [ ! -d final ]
then
    mkdir final
fi

# Make csv letterboxd-friendly
for f in *.csv; do
    sed 's,last_watched_at,WatchedDate,;s,rating,Rating10,;s,movie/title,Title,;s,movie/year,Year,;s,movie/ids/imdb,imdbID,;s,movie/ids/tmdb,tmdbID,' $f > final/$(basename $f | cut -d. -f1).csv
done

rm *.json
rm *.csv
mv final/* .
rmdir final
rm trakt_bkp.zip
